;* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * 
;*  ClearLogs v1.0                                                                  *
;*                                                                                  *
;*                                                                                  *
;*  File: clearlogs.asm                                                             *
;*                                                                                  *
;*  Purpose: Clears the Windows Eventlogs.                                          *
;*                                                                                  *       
;*  Usage: assemble to clearlogs.exe and run it!                                    *
;*                                                                                  *
;*  Copyright (C) 2005 White Scorpion Security,                                     *
;*  www.white-scorpion.nl, all rights reserved.                                     *
;*                                                                                  *
;*                                                                                  *
;*  This program is free software; you can redistribute it and/or                   *
;*  modify it under the terms of the GNU General Public License                     *
;*  as published by the Free Software Foundation; either version 2                  *
;*  of the License, or (at your option) any later version.                          *
;*                                                                                  *
;*  This program is distributed in the hope that it will be useful,                 *
;*  but WITHOUT ANY WARRANTY; without even the implied warranty of                  *
;*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                   *
;*  GNU General Public License for more details.                                    *
;*                                                                                  *
;*  You should have received a copy of the GNU General Public License               *
;*  along with this program; if not, write to the Free Software                     *
;*  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.     *
;*                                                                                  *
;* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *

.386
.model flat,stdcall
option casemap:none

include \masm32\include\windows.inc
include \masm32\include\kernel32.inc
include \masm32\include\user32.inc
include \masm32\include\advapi32.inc

includelib \masm32\lib\kernel32.lib
includelib \masm32\lib\user32.lib
includelib \masm32\lib\advapi32.lib

ClearLogs   PROTO

.DATA
noclear db "Unable to clear eventlogs.",0
clearok db "Eventlogs cleared successfully.",0
AppName db "White Scorpion Security - ClearLogs v1.0",0
App     db "Application",0
Sec     db "Security",0
Syst    db "System",0

.DATA

hLog    DWORD ?

.CODE

start:

invoke ClearLogs
.IF eax!=0
    invoke MessageBox,NULL,addr noclear,addr AppName,MB_OK
    invoke ExitProcess,1
.ENDIF

invoke MessageBox,NULL,addr clearok,addr AppName,MB_OK
invoke ExitProcess,0



;-----------------------------------------------
ClearLogs PROC

invoke OpenEventLog,NULL,addr App                           ;clear the Application eventlog
.IF eax!=NULL
    mov hLog,eax
    invoke ClearEventLog,hLog,NULL
    invoke CloseEventLog,hLog
.ELSE
    xor eax,eax
    inc eax
    ret
.ENDIF    

invoke OpenEventLog,NULL,addr Sec                           ;clear the Security eventlog
.IF eax!=NULL
    mov hLog,eax
    invoke ClearEventLog,hLog,NULL
    invoke CloseEventLog,hLog
.ELSE
    xor eax,eax
    inc eax
    ret        
.ENDIF

invoke OpenEventLog,NULL,addr Syst                          ;clear the Application eventlog
.IF eax!=NULL
    mov hLog,eax
    invoke ClearEventLog,hLog,NULL
    invoke CloseEventLog,hLog
.ELSE
    xor eax,eax
    inc eax
    ret        
.ENDIF

xor eax,eax
ret

ClearLogs ENDP
;------------------------------------------------
end start